Welcome

X2Net Recent Documents

Copyright © 1994-2005

Oakley Data Services

All Rights Reserved

Help File Revision 2005/100

http://www.x2net.com


Upgrading from Other Versions of Recent Documents

Upgrading from Previous Versions of Recent Documents

X2Net Recent Documents is a radical change from previous versions of Recent Documents and is in effect a new product. Due to this, there is no support for migrating existing Recent Documents content to the X2Net Recent Documents version.


What's New

For news about the latest X2Net Recent Documents version and build (i.e., service release), please visit the What's New section of the Recent Documents web site at http:\\www.x2net.com\recentdocuments


Overview

X2Net Recent Documents is an application to replace and enhance the functionality of the "Documents Menu" on your Windows 9x, ME, NT and Windows 2000, and the "My Recent Documents" menu on Windows XP Home and Professional's Start Menu.

Normally the sub-menu displayed by the "My Recent Documents" Menu, lists the last 15 document files that you have accessed, allowing any of these documents to be reopened simply by clicking on the name of the document. Whilst this facility was very welcome when it was introduced with the "Windows 95" interface, there are some issues and limitations with it: -

  1. It is not possible to customize which documents are listed, how they are listed or how many documents should be retained for future reference.

  2. You cannot age the documents, allowing documents that were referenced more than x days ago to be ignored.

  3. It is very difficult to remove a document from the menu if you don't want it there.

  4. If you access two documents that have the same file name, but reside in different folders, only the last document referenced will be stored.

  5. The "My Recent Documents" Menu ignores folder names!

  6. You can’t group documents into specified categories of document.

These "features" of the "My Recent Documents" Menu, relegate this (should be) useful feature of Windows to another one of those "it's there, but I don't use it" tools. So what's the answer... "X2Net Recent Documents" of course!

Recent Documents has changed in this latest release. Instead of it being a separate application, it is now built inside Windows Explorer, appearing under My Computer as a ""disk drive" called "X2Net Recent Documents". As it is part of Windows Explorer, access to recent documents is handled exactly as if you were accessing normal files in Explorer, i.e., the icon views, detail views, properties and navigation is all as Explorer. You even have folders (System and Virtual) to group your documents into different views.

There are 3 System Folders: -

  • By Application: This breaks the items down by their host application, so you can jump to view the recently accessed Word Documents (for example). The UI presents this as a number of sub-Folders under the "By Application" folder; with a folder for each Application.

  • By Date: This breaks the items down by the Date they were accessed, again showing the groupings as sub-folders; with labels such as "Today", "Yesterday", "Last Week", "Two Weeks Ago", etc.

  • Latest Documents: This displays the last 30 (by default) documents you have accessed.

All the other folders are virtual folders. You can create as many virtual folders as you wish and even create folders within folders. When a folder is created, you define "rules" as to what is shown in this folder, by telling it the type of documents you wish to include or exclude from the folder. As these folders are "virtual", they do not physically store document references. This means document reference can reside in any number of folders; for example: a folder for Letters and a folder for Business and a folder for Banks, could all hold a reference for the same document.

Two virtual folders are created by default "My Recent Pictures" and "My Recent Music" (showing any picture files or music files you have recently opened). To change the "filters" or "rules" being applied to any folder (System or Virtual) simply display the folders Properties (in the same way as when accessing the Properties for normal file-system folders and files in Windows Explorer) and change the settings as required.

The easiest way to explain how it all works, is to actually install and run the application. Once installed and run for the first time, you will be able to access the application from within Windows Explorer (under My Computer), via the Icon in the Windows System Tray or via the "My Recent Documents" menu found on the Windows Start Menu.


Supported Documents

In order for document references to be stored in X2Net Recent Documents, they have to be of a type supported by Windows' "My Recent Documents" Menu. If after opening a file, a reference for that file wouldn't appear on the "My Recent Documents" Menu (when X2Net Recent Documents isn't running), then it is not supported by Recent Documents.

When you open a file in a 32Bit application, then a reference for that file will be added to X2Net Recent Documents. Files opened in 16Bit applications are not supported and therefore will not appear in X2Net Recent Documents. However, if you double-click a document in Windows Explorer or My Computer, a reference to that file will be stored in X2Net Recent Documents.


Starting Recent Documents

Starting X2Net Recent Documents

X2Net Recent Documents is started automatically when you start Windows and is always running silently in the background monitoring the documents you access. You can view the list of your recently accessed documents: -

  • From within Windows Explorer or "My Computer" and expanding the X2Net Recent Documents item

  • From the X2Net Recent Documents icon in your Windows System Tray

  • From the "My Recent Documents" menu found on your Windows Start Menu.

For your list of recently accessed documents to always be up-to-date and continually managing your documents, X2Net Recent Documents needs to be running all the time. If you choose to close X2Net Recent Documents, using the Terminate and Unload facility, then the documents you access will not be monitored until X2Net Recent Documents is started again.


Closing Recent Documents

Closing X2Net Recent Documents

If you some reason you wish to stop X2Net Recent Documents totally and not allow it to continue to monitor and manage your documents, then you should select Terminate and Unload from the System Tray Icon's right-click menu.

In order to ensure that your documents are always managed and up-to-date, it is recommended that you do not use the Terminate and Unload option, unless absolutely necessary.


Installing Recent Documents

Installing X2Net Recent Documents

To install X2Net Recent Documents, simply run the set-up program provided which will step through the installation process.

Once installed, X2Net Recent Documents becomes part of Windows Explorer, showing under "My Computer". You can access X2Net Recent Documents using any of the following methods: -

  • From within Windows Explorer or "My Computer"

  • From the X2Net Recent Documents icon in your Windows System Tray

  • From the "My Recent Documents" menu found on your Windows Start Menu.


Data File Placement

Recent Documents stores its Data Files in your Windows Application Data folder, usually located in the "Documents and Settings\username\Application Data\X2Net\Recent Documents Data" folder.


Backing up the Data File

It is recommended that you back-up the Recent Documents Data Files at regular periods. To this this, ensure that Recent Documents has been Terminated and Unloaded and then simply copy the Data Files Folder to another location or include it in your regular back-ups.

Remember: The Data Files only contain references to your documents. It doesn't contain the actual documents themselves. If you did lose the data files, you would simply lose you document history, nothing more.


Controlling Document History

By default, X2Net Recent Documents decides what document references are retained based on the the age of Documents and/or filter rules based on the name of the document.

By default, X2Net Recent Documents will track all documents and retain their references for 150 days.

This setting can be changed via the Properties Screen for the X2Net Recent Documents item in Windows Explorer. To access this screen, open "My Computer", select the X2Net Recent Documents item and then select the File, Properties menu.


System Folders

X2Net Recent Documents uses two types of folders, System folders and Virtual folders.

System Folders are folders that have a pre-defined function in X2Net Documents and there are 3 System Folders defined.

  • By Application: This breaks the items down by their host application, so you can jump to view the recently accessed Word Documents (for example). The UI presents this as a number of sub-Folders under the "By Application" folder; with a folder for each Application.

  • By Date: This breaks the items down by the Date they were accessed, again showing the groupings as sub-folders; with labels such as "Today", "Yesterday", "Last Week", "Two Weeks Ago", etc.

  • Latest Documents: This displays the last 30 (by default) documents you have accessed.

System Folders can be configured via their Properties Screen to change what they display. However, they cannot be deleted or renamed.


Using Virtual Folders

As the number of document references stored within X2Net Recent Documents grows, it may be easier to group certain types of documents together into document Virtual Folders.

For example, by creating a Virtual Folder called Clients and then creating a sub-Virtual Folder for each client within the Clients Folder, you can group documents relating to a client in that client's own Virtual Folder. Whenever you wanted to quickly recall a document for a client, you could just open the Client's Virtual Folder in X2Net Recent Documents and all the documents for that Client will be displayed, regardless of where they are stored on your computer.

Virtual Folders work in the same way as Folders (or directories) on your computer work. They can be created, browsed, renamed and deleted in the same way, however they do not actually store any physical document, only references to documents you have accessed.

Virtual Folders can display any document references stored by X2Net Recent Documents and a document reference can be displayed in any number of Virtual Folders.

For example: Using the above Clients example.

Say you have a client called Acme Inc. and have created a Virtual Folder for Acme Inc which has a Folder Rule setup for "Include Where Document Name Matches "Acme" (see Using Folder Rules for more information). This will allow any ACME document accessed to be listed in the Acme Inc. Virtual Folder.

However, you may also want to group any Account documents into an Accounts Virtual Folder, so you setup a Folder Rule for "Include Where Document Name Matches "Accounts".

When you open a Document called "Acme End Year Accounts.doc" it will not only show in the Acme Inc. Virtual Folder (as it contains ACME) but it will also show in the Accounts Virtual Folder (as it contains ACCOUNTS) as the document name matched the rules for both folders.

As you can see, using Virtual Folders you can quickly build a very comprehensive cross-filing capability for your document references, allowing you to quickly locate any of your documents.


Using Folder Rules

X2Net Recent Documents supports a facility called Folder Rules Processing. This facility allows rules to be set-up for Folders to control what document references the folder displayed when you browse that folder.

A Rule consists of an Rule Scope, Rule Action and a Rule Mask. When you open a System or Virtual Folder in X2Net Recent Documents, all document references held by X2Net Recent Documents are compared against the Folders Rules. Only document references that pass the rules, will be displayed in the folder.

Rule Scope

There are three Rule Scopes available:

Filename of Documents (e.g. Letter.doc)

Using this scope, when the Rule is applied to the document reference, it is only applied to the actual filename of the document (i.e., the folder name and path are ignored).

Document's Folder Name (e.g., C:\My Documents\)

Using this scope, when the Rule is applied to the document reference, it is only applied to the folder name and path of the folder containing the original document (i.e., the filename is ignored).

Filename and Document Folder (e.g., C:\My Documents\Letter.doc)

Using this scope, when the Rule is applied to the document reference, it is only applied against the complete folder name, path and filename of the original document (i.e., nothing is ignored).

Rule Actions

There are two types of Rule Action available:

Include:

Include Actions restrict which documents are actually added to Recent Documents. If an Include Rule is defined, then only documents matching the Rule Mask, will be displayed. Example.

Exclude:

Exclude Actions also restrict which documents are actually added to Recent Documents. If an Exclude Rule is defined, then any documents matching the rule expression, will not be displayed. Example

Rule Mask

Masks are matched against a document's name (depending on the Rule Scope selected). These expressions use "wild-cards" to allow multiple matches in the same way as Windows' File Search facility does.

Using Wild-Card Characters

A Wild-card character is a keyboard character such as an asterisk (*) or a question mark (?) that is used to represent one or more characters in the document's name. Wild-card characters are often used in place of one or more characters when you do not know what the real character is or you do not want to type the entire document name. Example

To manage a Folder's Rules, display the folder's Properties Screen and select the Customize tab.


Viewing Stored Documents

As X2Net Recent Documents provides access to view your recently accessed documents by using Windows Explorer (or "My Computer") it presents the information in the same format you see when browsing normal file folders on your computer.

Due to the use of Windows Explorer, you can view and manage the document references and folders in exactly the same way you view and manage your normal files and folders on your computer.


Selecting Documents

Before a document function is available, at least one document reference must be selected in the documents window.

To select a single document:

Either click the reference with the mouse or use the cursor keys to highlight it.

To select multiple documents:

In the documents window, hold down the CTRL key, and then click each item you want to select. To select all the documents in the window, click the Tools menu, and then click Select All. To select a group of files that are next to each other in the documents window, click anywhere in the blank area of the window. A box will then appear that you can then drag around the files you want to select.


Opening Documents

Use the Open function to open any selected document If you wish to open more than one document, then select all the required references followed by the Open function.

The application used to open a document will be the same application that was originally used to create the document. If this application or the document is no longer available, then an error message will be displayed.


Deleting a Document

Use the Delete function to delete any selected document from Recent Documents. If you wish to delete more than one document, then select all the required references followed by the Delete function. A confirmation window will be displayed before the documents are deleted from Recent Documents.

Note: When you delete a document from Recent Documents you are also deleting the original document (i.e. the real, physical document). If you only want to remove the reference from Recent Documents, and not delete the original document, you should use the Exclude function.


Document Properties

When you select the Properties Screen for a document's reference, the Properties Screen of the original document will be displayed, allowing you to view and amend the properties for the original document.

Note: This function does not support multiple selected documents and will only display the properties of the first reference selected.


Excluding Documents

The Exclude function is a quick way of excluding documents from either a folder or from X2Net Recent Documents.

Exclude from this Folder: -

When this function is used, all the selected files will be excluded from being displayed in the currently opened folder.

Exclude from Recent Documents: -

When this function is used, all the selected files will be excluded from X2Net Recent Documents and will no longer be monitored or included in Recent Documents.

Note: These Exclude functions, simply create specific Folder Rules for either the opened folder or for X2Net Recent Documents. To amend or remove any excludes set, simply edit the list of Rules for the folder or for X2Net Recent Documents via the appropriate Properties Screen.


Troubleshooting

Troubleshooting a problem

Don't panic! Remember that all technical problems, no matter how bizarre they may seem, have a cause and a solution. By patiently applying a logical approach, you can often identify the source of the problem and fix it yourself. In general, try simplifying your PC's setup until the problem is no longer present. Then, incrementally restore the original setup, testing to see which component makes the problem recur. Be careful!

Initially, try to establish:

Is the problem most likely arising within X2Net Recent Documents?

  • If it's a X2Net Recent Documents issue check out the Frequently Asked Questions on the web, the answer may well be there.

  • If that doesn't answer it, make sure you have the latest version of X2Net Recent Documents. Go to the X2Net Recent Documents web site and check. If it is a problem that someone else has come across it has probably already been fixed and downloading and installing the new version will cure it.

Is it a Windows problem?

  • Has it only just started happening? Try rebooting, does that fix it or does it continue happening? Have you installed any new software that might have affected it?

  • Is it a hardware problem having to do with your PC or its peripherals or have you made any recent changes to your system configuration that might be responsible for the problem?

  • Have you installed any new hardware recently? If you suspect a hardware or configuration problem click the Start button and choose Help for troubleshooting information


Getting Support

Support for X2Net Recent Documents is available online, via the X2Net Recent Documents Support Forum. To access this forum, please click here...


Frequently Asked Questions

The Frequently Asked Questions (or FAQ) are a collection of questions and answers relating to the use of X2Net Recent Documents. These questions are continually being updated by our support team as new issues and questions are identified.

To access the Frequently Asked Questions for X2Net Recent Documents, please click here...


License

Legal Notice

END-USER LICENSE AGREEMENT FOR X2NET RECENT DOCUMENTS

AGREEMENT

The use of this program indicates your understanding and acceptance of the following terms and conditions. This license shall supersede any verbal or written statement or agreement to the contrary. If you do not understand or accept these terms you must cease using this product immediately.

COPYRIGHT

This product is © Copyright 2005 by X2Net Limited. This product is protected by United Kingdom copyright law and various international treaties.

DISCLAIMER

This product and/or license is provided as is, without any representation or warranty of any kind, either express or implied, including without limitation any representations or endorsements regarding the use of, the results of, or performance of the product, its appropriateness, accuracy, reliability, or correctness. The entire risk as to the use of this product is assumed by the user and/or licensee. X2Net Limited does not assume liability for the use of this product beyond the original purchase price of the software. In no event will X2Net Limited be liable for additional direct or indirect damages including any loss of profits or other incidental or consequential damages arising from any defects, or the use or inability to use the software, even if X2Net Limited has been advised of the possibility of such damages.

RESTRICTIONS

You may not use, copy, modify, translate, or transfer the software, documentation, or any copy except as expressly defined in this agreement. You may not attempt to unlock or bypass any licensing algorithm utilized by the program. You may not remove or modify any copyright notices.

LICENSING AND DISTRIBUTION

You may freely distribute this program without prior reference to us.

You may use an unlicensed copy of this program for up to 30 days for evaluation purposes only. After the evaluation period you must purchase a license to continue to use the program.

You may use this software on as many access devices as you have purchased licenses for. A device is defined as a single PC, or in the case of a Windows Terminal Server environment a single remote user.

Once you have purchased a license you will receive a license key which will enable you to continue to use the program for as long as you wish from as many access devices as you have licensed.

YOU MAY NOT DISTRIBUTE LICENSE KEYS, HOWEVER OBTAINED, THEY ARE FOR THE LICENSEE'S USE ONLY. ANY KEYS SO DISTRIBUTED WILL BE INVALIDATED AND WILL NOT BE REPLACED.

Note the software is licensed, not sold. In licensing the software you do not acquire any rights beyond the right to continue to use the software on the system for which you purchased the license, or any replacement system, provided the software is removed from the original system.

TERMS

This license is effective until terminated. You may terminate it by destroying the software, the documentation and copies thereof. This license will also terminate if you fail to comply with any terms or conditions of this agreement. You agree upon such termination to destroy all copies of the program and of the documentation, or return them to X2Net Limited.

OTHER RIGHTS

All other rights not specifically granted in this license are reserved by X2Net Limited.


Upgrade Policy

Each version of X2Net Recent Documents is prefixed by a version indicator, for example X2Net Recent Documents Version 2. Also each version has a suffix of the release number for that version, indicating the "point release", For example. X2Net Recent Documents Version 2.01 would indicate version 2 of X2Net Recent Documents, release 01.

Any X2Net Recent Documents license is valid for all releases of X2Net Recent Documents that still bear the same version number of the license purchased. This means you may upgrade free of charge to any release of X2Net Recent Documents which is simple incrementing the "point release" number.

If the version number has changed, for example from version 2 to version 3, then an upgrade fee will probably be required to upgrade your previous version's license to the newer version.

The prime locations for new releases is our Internet site at http://www.x2net.com


Purchasing and License Upgrades

To order licenses for X2Net Recent Documents go to the X2Net Recent Documents icon in your Windows System Tray and right-click the mouse to bring up the pop-up menu. On this menu, select the License Details... option. The easiest way to order is on-line from the web. Simply select the Order On-line check box and click the Order Now button.

You can order X2Net Smart Address on-line at our Web Site using most major credit cards or your PayPal account (if applicable). We can accept payment in US Dollars, United Kingdom Pounds Sterling or the Euro.

For alternative ordering methods please contact us. We can usually accept payment by electronic transfer although any bank charges incurred during this process must be met by the customer. We can provide pro-forma invoices on request, but we always require payment with order. We do not offer credit terms.

Providing your credit card details are validated and the charge is authorized a license key and sales receipt will then be be displayed. Please save it or print it out for your reference. A copy will also be sent to the e-mail address you provide. Note that we do not ship anything by mail.

You enter your license keys into the software from the License Details... screen.


Warranty

This software is supplied as is without warranty or representation either express or implied with respect to the program or its documentation including their quality, performance, merchantability, or fitness for a particular purpose.

In no event will X2Net Limited or any of its agents or assigns, or any organization distributing "X2Net Recent Documents" on its behalf be liable for direct, indirect, special, incidental, or consequential damages arising out of the use of, or inability to use the program.

All trademarks are acknowledged.


System Requirements

X2Net Recent Documents requires Windows 2000, Windows XP or later.


Contacting X2Net Limited

Full contact information for X2Net Limited can be found on the X2Net Web Site at http://www.x2net.com


Example Include Rule

If you wished to only show documents that were physically located in the folder C:\Letters, then you would define a rule which would like like:

Include Where Document Path Matches C:\Letters\*

This translates to "Only allow documents that are stored in a Folder Path beginning with C:\Letters\ to be shown". Any other documents, unless they were matched by another Include Rule, would not be shown.


Example Exclude Rule

If you wished not to have any documents that were stored on a floppy disk (drive A:) shown, then you would define a rule which would like like:

Exclude Where Document Path Matches A:\*

This translates to "Any documents beginning with A:\ are not to be shown". Any other documents, unless they were matched by another exclude Rule, would be shown.


Wild-Card Uses

Using Wild-card characters

Asterisk (*): Use the asterisk as a substitute for zero or more characters. If you are looking for a document that you know starts with "gloss" but you cannot remember the rest of the file name, type the following:

gloss*

This locates all files of any file type that begin with "gloss" including Glossary.txt, Glossary.doc, and Glossy.doc. To narrow the search to a specific type of file, type:

gloss*.doc

This locates all files that begin with "gloss" but have the file name extension .doc, such as Glossary.doc and Glossy.doc.

Question mark (?): Use the question mark as a substitute for a single character in a name. For example, if you type gloss?.doc, you will locate the file Glossy.doc or Gloss1.doc but not Glossary.doc.